import 'd3-selection-multi';
import { Mark } from './Mark';
import { GridHeatMapModel } from './GridHeatMapModel';
export declare class GridHeatMap extends Mark {
    render(): Promise<void>;
    initialize_additional_scales(): void;
    set_ranges(): void;
    set_positional_scales(): void;
    expand_scale_domain(scale: any, data: any, mode: any, start: any): any[];
    create_listeners(): void;
    click_handler(args: any): void;
    update_selected(model: any, value: any): void;
    set_style_on_elements(style: any, indices: any, elements: any): void;
    set_default_style(indices: any, elements: any): void;
    clear_style(style_dict: any, indices?: any, elements?: any): void;
    _filter_cells_by_cell_num(cell_numbers: any): any;
    selected_style_updated(model: any, style: any): void;
    unselected_style_updated(model: any, style: any): void;
    apply_styles(): void;
    style_updated(new_style: any, indices: any, elements: any): void;
    reset_selection(): void;
    relayout(): void;
    _cell_nums_from_indices(indices: any): any;
    invert_point(pixel: any): void;
    selector_changed(point_selector: any, rect_selector: any): any[];
    draw(): void;
    update_stroke(model: any, value: any): void;
    update_opacity(model: any, value: any): void;
    update_labels(): void;
    get_tile_plotting_data(scale: any, data: any, mode: any, start: any): {
        "start": any[];
        "widths": any[];
    };
    get_element_fill(dat: any): any;
    process_click(interaction: any): void;
    compute_view_padding(): void;
    anchor_style: any;
    anchor_cell_index: any;
    display_cells: any;
    display_cell_labels: any;
    selected_elements: any;
    unselected_elements: any;
    anchor_element: any;
    row_pixels: any;
    column_pixels: any;
    display_rows: any;
    model: GridHeatMapModel;
}
